Bug 1300829 - UBUNTU installation via ISO fails in step 'sudo ice_setup -d /mnt '
UBUNTU installation via ISO fails in step 'sudo ice_setup -d /mnt '
Status: CLOSED ERRATA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer (Show other bugs)
1.3.2
x86_64 Linux
unspecified Severity high
: rc
: 1.3.2
Assigned To: Ken Dreyer (Red Hat)
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 16:19 EST by Rachana Patel
Modified: 2017-12-12 19:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 09:45:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2016-01-21 16:19:42 EST
Description of problem:
=======================
UBUNTU installation via ISO fails in step 'sudo ice_setup -d /mnt ' with below error (fails in step 'sudo apt-get -q update')

--> Hit http://security.ubuntu.com trusty-security/restricted Translation-en
--> Hit http://security.ubuntu.com trusty-security/universe Translation-en
--> Fetched 1,282 kB in 9s (136 kB/s)
--> NonZeroExit: command returned non-zero exit status: 100

manually run 'sudo apt-get -q update' and got below error:-
=========================================================
W: Failed to fetch file:/opt/ICE/Calamari/dists/trusty/InRelease  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)
 
E: Some index files failed to download. They have been ignored, or old ones used instead.


Version-Release number of selected component (if applicable):
=============================================================
ice-setup_0.4.5-1


How reproducible:
=================
always


Steps to Reproduce:
=====================
1. Install ubuntu 14.x -
2. kernel update to 3.19 
3. performed preinstallation steps.
4. mounted ubuntu ISO 
5. sudo dpkg -i /mnt/ice-setup_*.deb
6. from working Directory run - sudo ice_setup -d /mnt

Actual results:
==============
It failed with error
--> NonZeroExit: command returned non-zero exit status: 100

manually run 'sudo apt-get -q update' and got below error:-
=========================================================
W: Failed to fetch file:/opt/ICE/Calamari/dists/trusty/InRelease  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)
 
E: Some index files failed to download. They have been ignored, or old ones used instead.


Expected results:
=================
ice_setup should perform expected operation successfully


Additional info:
Comment 2 Hemanth Kumar 2016-02-05 10:21:05 EST
Ken,
"sudo ice_setup -d /mnt" got executed but I see some warnings and errors while the script installs Calamari..

http://pastebin.test.redhat.com/346587

--> ==== Step 2: Calamari installation ====
--> apache2_invoke: Enable configuration javascript-common
 --> invoke-rc.d: initscript apache2, action "reload" failed.
 --> apache2_invoke: Enable module wsgi
 --> Adding user postgres to group ssl-cert
 -->
 --> Creating config file /etc/logrotate.d/postgresql-common with new version
 --> Building PostgreSQL dictionaries from installed myspell/hunspell packages...
 --> Removing obsolete dictionary files:
 -->  * No PostgreSQL clusters exist; see "man pg_createcluster"
 --> ERROR: Module version does not exist!
 --> salt-master: no process found

I am unable to launch the Calamari also after this..
Let me know if this is the problem with Calamari or something to do with your compose tool ??
Comment 3 Ken Dreyer (Red Hat) 2016-02-05 11:17:21 EST
(In reply to Hemanth Kumar from comment #2)
> I am unable to launch the Calamari also after this..
> Let me know if this is the problem with Calamari or something to do with
> your compose tool ??

The compose tool was strictly related to apt-get failures. The issue in that output looks like a separate bug to me.
Comment 4 Hemanth Kumar 2016-02-05 13:14:29 EST
Thanks Ken.,

I will reopen a new bug for the calamari errors.

Moving the current one to Verified State..
Comment 6 errata-xmlrpc 2016-02-29 09:45:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0313

Note You need to log in before you can comment on or make changes to this bug.